import csv
import requests

def get_response_code(url):
    headers = {
        'User-Agent': 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.110 Safari/537.3',
        'Accept-Language': 'en-US,en;q=0.9',
        'Accept-Encoding': 'gzip, deflate, br',
        'Referer': 'https://www.google.com/',
        'Connection': 'keep-alive',
    }

    try:
        response = requests.get(url, headers=headers)
        return response.status_code
    except requests.ConnectionError:
        return "Connection Error"

def update_csv_with_response_codes(input_file, output_file):
    with open(input_file, 'r') as file:
        reader = csv.reader(file)
        rows = list(reader)

    with open(output_file, 'w', newline='') as file:
        writer = csv.writer(file)
        for row in rows:
            url = row[0]
            response_code = get_response_code(url)
            writer.writerow([url, response_code])
            print(f"URL: {url}, Response Code: {response_code}")

# Usage
input_csv_file = '/Users/filip/Desktop/links.csv'  # Replace with your input CSV file path
output_csv_file = '/Users/filip/Desktop/output.csv'  # Replace with the desired output CSV file path

update_csv_with_response_codes(input_csv_file, output_csv_file)
